Subject: Re: linux-next: build failure after merge of the net-next tree

From: Simon Horman <[email-masked]>
Date: Fri, 16 Jun 2023 10:12:07 +0200

On Fri, Jun 16, 2023 at 08:30:33AM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> On Tue, 13 Jun 2023 16:46:39 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > After merging the net-next tree, today's linux-next build (sparc64
> > defconfig) failed like this:
> > 
> > drivers/net/ethernet/sun/sunvnet_common.c: In function 'vnet_handle_offloads':
> > drivers/net/ethernet/sun/sunvnet_common.c:1277:16: error: implicit declaration of function 'skb_gso_segment'; did you mean 'skb_gso_reset'? [-Werror=implicit-function-declaration]
> >  1277 |         segs = skb_gso_segment(skb, dev->features & ~NETIF_F_TSO);
> >       |                ^~~~~~~~~~~~~~~
> >       |                skb_gso_reset
> > drivers/net/ethernet/sun/sunvnet_common.c:1277:14: warning: assignment to 'struct sk_buff *' from 'int' makes pointer from integer without a cast [-Wint-conversion]
> >  1277 |         segs = skb_gso_segment(skb, dev->features & ~NETIF_F_TSO);
> >       |              ^
> > 
> > Caused by commit
> > 
> >   d457a0e329b0 ("net: move gso declarations and functions to their own files")
> > 
> > I have applied the following patch for today.
> > 
> > From: Stephen Rothwell <[email-masked]>
> > Date: Tue, 13 Jun 2023 16:38:10 +1000
> > Subject: [PATCH] Fix a sparc64 use of the gso functions
> > 
> > This was missed when they were moved.
> > 
> > Fixes: d457a0e329b0 ("net: move gso declarations and functions to their own files")
> > Signed-off-by: Stephen Rothwell <[email-masked]>
> > ---
> >  drivers/net/ethernet/sun/sunvnet_common.c | 1 +
> >  1 file changed, 1 insertion(+)
> > 
> > diff --git a/drivers/net/ethernet/sun/sunvnet_common.c b/drivers/net/ethernet/sun/sunvnet_common.c
> > index a6211b95ed17..3525d5c0d694 100644
> > --- a/drivers/net/ethernet/sun/sunvnet_common.c
> > +++ b/drivers/net/ethernet/sun/sunvnet_common.c
> > @@ -25,6 +25,7 @@
> >  #endif
> >  
> >  #include <net/ip.h>
> > +#include <net/gso.h>
> >  #include <net/icmp.h>
> >  #include <net/route.h>
> >  
> 
> I am still applying that patch to the net-next tree merge.

Hi Stephen,

I guess it was applied after you pulled net-next.
In any case, for the record, I see it there now as:

  d9ffa069e006 ("sunvnet: fix sparc64 build error after gso code split")